### Method

# WPEPlatform Toplevel state_changed

#### Declaration [src]

    void
    wpe_toplevel_state_changed (
      WPEToplevel* toplevel,
      WPEToplevelState state
    )

#### Description [src]

Update the current state of `toplevel`

This function should only be called by `WPEToplevel` derived classes in platform implementations.

#### Parameters

`state`

  Type: `WPEToplevelState`

  A set of `WPEToplevelState`.